<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.DeclarationFormatter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../Fragments.html" >Fragments</a>.DeclarationFormatter

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationFormatter.html" >DeclarationFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for SummaryFormatter and DetailFormatter.</div></div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationSummaryFormatter.html" >DeclarationSummaryFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationSummaryFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line259" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Derives from BaseStrategy to provide summary-specific methods.</div></div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationDetailFormatter.html" >DeclarationDetailFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line271" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Provide detail-specific Declaration formatting.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationFormatter.html" >DeclarationFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for SummaryFormatter and DetailFormatter.
    
    The two classes SummaryFormatter and DetailFormatter are actually
    very similar in operation&#44; and so most of their methods are defined here.
    Both of them print out the definition of the declarations&#44; including type&#44;
    parameters&#44; etc. Some things such as exception specifications are only
    printed out in the detailed version.
    </div></div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationSummaryFormatter.html" >DeclarationSummaryFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationSummaryFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line259" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Derives from BaseStrategy to provide summary-specific methods.
    Currently the only one is format_exceptions</div></div>
<div class="item"><div class="synopsis">class <a href="DeclarationFormatter/DeclarationDetailFormatter.html" >DeclarationDetailFormatter</a></div> <div class="xref"><a href="../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line271" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Provide detail-specific Declaration formatting.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
